Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CategoryKey

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.CatalogItemKey
          com.beasys.commerce.ebusiness.catalog.CategoryKey

All Implemented Interfaces
  Serializable, Cloneable, Comparable

Deprecated

    @Deprecated
    public class CategoryKey

extends CatalogItemKey

The CategoryKey class is used to index and retrieve Category objects.

See Also
  Serialized Form

Field Summary
`static CategoryKey` | `ROOT` Deprecated This key allows you to specify retrieval of items from the root of the category hierarchy.

Constructor Summary
`CategoryKey()` Deprecated Default constructor.
`CategoryKey(String identifier)` Deprecated Class constructor.

Method Summary
`Object` | `clone()` Deprecated clone implementation for CategoryKey.

Methods inherited from class com.beasys.commerce.ebusiness.catalog.CatalogItemKey
`compareTo, equals, getIdentifier, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ROOT

    public static final CategoryKey ROOT

  Deprecated
  This key allows you to specify retrieval of items from the root of the category hierarchy.

Constructor Detail

### CategoryKey

    public CategoryKey()

  Deprecated
  Default constructor.

### CategoryKey

    public CategoryKey(String identifier)

  Deprecated
  Class constructor.

  Parameters
    `identifier` - A `Category` identifier.

Method Detail

### clone

    public Object clone()

  Deprecated
  clone implementation for CategoryKey.

  Overrides:
    `clone` in class `CatalogItemKey`
  Returns
    a clone of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.